//===========================================================================
// package
//===========================================================================
package jp.gr.java_conf.bugslife.form;

//===========================================================================
// import
//===========================================================================
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;

import org.apache.struts.validator.ValidatorForm;
import java.io.UnsupportedEncodingException;
import java.util.*;

/**
 *<PRE>
 * InfoFormクラス
 *
 *</PRE>
 * @author 鰐川　正寛
 * @version 1.0.0
 */
public class InfoForm extends ActionForm {
//===========================================================================
// attributes
//===========================================================================
//===========================================================================
// methods
//===========================================================================
	/**
	 * 新規バグ（昨日分）パラメータ生成
	 *
	 * @returen パラメータ群
	 */
	public Map getNewBugYesterday() {
		Map param = new HashMap();
		param.put("issuDate", "on");		//ステータス
		param.put("pastDate", "1");		//1日前
		
		return param;
	}
	/**
	 * 新規バグ（本日分）パラメータ生成
	 *
	 * @returen パラメータ群
	 */
	public Map getNewBugToday() {
		Map param = new HashMap();
		param.put("issuDate", "on");		//ステータス
		param.put("pastDate", "0");		//当日
		
		return param;
	}
	/**
	 * 新規バグ（過去７日間）パラメータ生成
	 *
	 * @returen パラメータ群
	 */
	public Map getNewBugLastWeek() {
		Map param = new HashMap();
		param.put("issuDate", "on");		//ステータス
		param.put("pastDate", "7");		//7日前
		
		return param;
	}
	/**
	 * 修正完了バグ（昨日分）パラメータ生成
	 *
	 * @returen パラメータ群
	 */
	public Map getUpdateBugYesterday() {
		Map param = new HashMap();
		param.put("bugUpdateDate", "on");		//ステータス
		param.put("pastDate", "1");		//1日前
		
		return param;
	}
	/**
	 * 修正完了バグ（本日分）パラメータ生成
	 *
	 * @returen パラメータ群
	 */
	public Map getUpdateBugToday() {
		Map param = new HashMap();
		param.put("bugUpdateDate", "on");		//ステータス
		param.put("pastDate", "0");		//当日
		
		return param;
	}
	/**
	 * 修正完了バグ（過去７日間）パラメータ生成
	 *
	 * @returen パラメータ群
	 */
	public Map getUpdateBugLastWeek() {
		Map param = new HashMap();
		param.put("bugUpdateDate", "on");		//ステータス
		param.put("pastDate", "1");		//1日前
		
		return param;
	}
	/**
	 * 方針待ちのバグパラメータ生成
	 *
	 * @returen パラメータ群
	 */
	public Map getPrincipalBug() {
		Map param = new HashMap();
		String[] s = new String[] { "1", "6" };		//新規／再開
		param.put("status", s);		//ステータス
		
		return param;
	}
	/**
	 * 故障度が大以上のバグパラメータ生成
	 *
	 * @returen パラメータ群
	 */
	public Map getBigSeverity() {
		Map param = new HashMap();
		String[] s = new String[] { "01", "02" };		//
		param.put("severity", s);		//故障度
		
		return param;
	}
	/**
	 * 故障度が小以上のバグパラメータ生成
	 *
	 * @returen パラメータ群
	 */
	public Map getSmallSeverity() {
		Map param = new HashMap();
		String[] s = new String[] { "01", "02", "03", "04" };	//
		param.put("severity", s);	//故障度
		
		return param;
	}
	/**
	 * デバッグ文字出力
	 *
	 * @param s 出力文字列
	 */
	private void debug(String s) {
		System.out.println("[InfoForm]" + s);
	}
//===========================================================================
// Public Methods
//===========================================================================
	/**
	* リセット
	*
	* @param mapping The mapping used to select this instance
	* @param request The servlet request we are processing
	*/
	public void reset(ActionMapping mapping, HttpServletRequest request) {
		//debug
		debug("reset");
		//encodeing セット
		try {
			request.setCharacterEncoding("SJIS");
		} catch (UnsupportedEncodingException e) {
			e.printStackTrace();
		}
		
	}
}